searchMetlin {xcms} | R Documentation

## Search Metlin Online Database

### Description

A method for searching MS^2 data against the accurate MS^2 METLIN database

### Usage

    searchMetlin(object, ppmfrag=10, ppmMZ= 5, file, MS1data=FALSE,
    metXML="metlin", ...)

### Arguments

`object` | An xcmsFragment object generated by xcmsRaw.collect
`ppmfrag` | Error in ppm for each fragment
`ppmMZ` | Error in ppm for precursor mass
`file` | Name of the results file
`MS1data` | Should accurate mass alone be search as well
`metXML` | location of metlin like XML file or "metlin" as a default
`...` | Arguments to plot.metlin()

### Details

This method automates the task of MS/MS comparison to a reference library. By default the METLIN database is used however this can be changed with the `metXML` parameter.

The search first identifies precursors that match entries in the current METLIN databass using the specified error given by `ppmMZ`. Once a matching m/z value is found, MS/MS data is searched. Each fragment is identified and comparied to the reference fragments with error specified by`ppmfrag`. Each match is done using a score schema of the difference and similarity of the two spectra. This value is the equiovacated against the possible maximum and minimum.

For each match a plot of the two MS/MS spectra are given. These are found using the `A` and `B` parameter

### Value

A data frame with the following columns:

`A` | Location of the plot
`B` | Seconded number locator for plot
`Precursor Ion` | M/Z of the precursor Ion
`rtmin` | Start of rt window
`rtmax` | End of rt window
`CollisionEnergy experiment"` | Collision energy of the experiment
`CollisionEnergy Reference` | Collision energy of the reference
`Percentage Match"` | Match percentage of the reference spectra to the experimental spectra
`Metlin Mass` | The mass of the reference precursor ion
`# matching"` | The number of matching fragment
`# non-matching` | The number of non-matching fragments
`Total # Ref ion` | The total number of fragment reference ions
`Metlin ID Name` | Name of the identified meatbolite
`Ionization` | Is the reference spectra in '-' mode or '+' mode
`Adduct` | Is the reference spectra an adduct of the precursor

### Author(s)

H. Paul Benton, hpbenton@scripps.edu

### References

H. Paul Benton, D.M. Wong, S.A.Strauger, G. Siuzdak "XCMS^2" Analytical Chemistry 2008

[Package xcms version 1.16.3 Index]